#region Copyright Syncfusion Inc. 2001 - 2006
//
//  Copyright Syncfusion Inc. 2001 - 2006. All rights reserved.
//
//  Use of this code is subject to the terms of our license.
//  A copy of the current license can be obtained at any time by e-mailing
//  licensing@syncfusion.com. Any infringement will be prosecuted under
//  applicable laws. 
//
#endregion

namespace DropdownGrid
{
	using System;
	using System.Drawing;
	using System.Collections;
	using System.ComponentModel;
	using System.Windows.Forms;
	using System.Data;

	using Syncfusion.Drawing;
	using Syncfusion.Windows.Forms.Grid;
	/// <summary>
	/// Summary description for Form1.
	/// </summary>
	public class Form1 : System.Windows.Forms.Form
	{
		private Syncfusion.Windows.Forms.Grid.GridControl gridControl1;
		/// <summary>
		/// Required designer variable.
		/// </summary>
		private System.ComponentModel.Container components = null;
		private GridControl GridA;
		private System.Windows.Forms.Panel panel1;
		private Syncfusion.Windows.Forms.Grid.GridControl gridControl2;
		private GridControl GridB;

		public Form1()
		{

			//
			// Required for Windows Form Designer support
			//
			InitializeComponent();

			//
			// TODO: Add any constructor code after InitializeComponent call
			//
			//gridControl1.ColStyles[2].CellType = "DropDownGrid";
			gridControl1.Rows.DefaultSize = 25;
			gridControl1.Cols.DefaultSize = 120;
			this.gridControl1.TableStyle.VerticalAlignment = GridVerticalAlignment.Middle;
		//	this.gridControl1.TableStyle.BackColor = Color.FromArgb( 237, 240, 246 );


			int rowIndex = 1;
			int colIndex = 1;

			gridControl1[rowIndex, colIndex].Text = "DropDown Grid Cells";
			gridControl1[rowIndex, colIndex].Font.Bold = true;
			gridControl1[rowIndex, colIndex].Font.Size = 10;
			rowIndex++;

			// Notes: uses a derived celltype to embed a dropdowngrid into a cell in another grid
			// the GridDropDownGridCell that ships as part of the library drops an instance of the
			// parent grid. The new derived classes will drop instances of other grids.
			//
			// DropDownGridCellModel derives from GridDropDownGridCellModel and has an override
			// that creates a renderer of the derived DropDownGridCellRenderer. The model also has 
			// a public property of a GridControlBase. It is this property that determines what grid
			// will be shown in the dropdown. So, with this implementation, if you are dropping 4
			// different grids, you will have to create 4 instances of this cell control,  one for each grid.
			//


			// Create and register two dropdown grid cells
			DropDownGridCellModel aModel = new DropDownGridCellModel(this.gridControl1.Model);
			// create a child grids to be placed in the dropdowns
			aModel.EmbeddedGrid = this.gridControl2;
			gridControl1.CellModels.Add("GridADropCell", aModel);
			this.gridControl2.Hide();
		
			// set the dropdowns in a couple of cells
			this.gridControl1[rowIndex,1].Text = "Grid A";			
			this.gridControl1[rowIndex,1].CellType = "GridADropCell";
			rowIndex += 3;

			

			gridControl1.ShowCurrentCellBorderBehavior = GridShowCurrentCellBorder.GrayWhenLostFocus;
			gridControl1.ActivateCurrentCellBehavior = GridCellActivateAction.ClickOnCell;


				
		}

		/// <summary>
		/// Clean up any resources being used.
		/// </summary>
		protected override void Dispose( bool disposing )
		{
			if( disposing )
			{
				if (components != null) 
				{
					components.Dispose();
				}
			}
			base.Dispose( disposing );
		}

		#region Windows Form Designer generated code
		/// <summary>
		/// Required method for Designer support - do not modify
		/// the contents of this method with the code editor.
		/// </summary>
		private void InitializeComponent()
		{
			Syncfusion.Windows.Forms.Grid.GridBaseStyle gridBaseStyle1 = new Syncfusion.Windows.Forms.Grid.GridBaseStyle();
			Syncfusion.Windows.Forms.Grid.GridBaseStyle gridBaseStyle2 = new Syncfusion.Windows.Forms.Grid.GridBaseStyle();
			Syncfusion.Windows.Forms.Grid.GridBaseStyle gridBaseStyle3 = new Syncfusion.Windows.Forms.Grid.GridBaseStyle();
			Syncfusion.Windows.Forms.Grid.GridBaseStyle gridBaseStyle4 = new Syncfusion.Windows.Forms.Grid.GridBaseStyle();
			System.Resources.ResourceManager resources = new System.Resources.ResourceManager(typeof(Form1));
			Syncfusion.Windows.Forms.Grid.GridRangeStyle gridRangeStyle1 = new Syncfusion.Windows.Forms.Grid.GridRangeStyle();
			Syncfusion.Windows.Forms.Grid.GridRangeStyle gridRangeStyle2 = new Syncfusion.Windows.Forms.Grid.GridRangeStyle();
			Syncfusion.Windows.Forms.Grid.GridRangeStyle gridRangeStyle3 = new Syncfusion.Windows.Forms.Grid.GridRangeStyle();
			this.gridControl1 = new Syncfusion.Windows.Forms.Grid.GridControl();
			this.panel1 = new System.Windows.Forms.Panel();
			this.gridControl2 = new Syncfusion.Windows.Forms.Grid.GridControl();
			((System.ComponentModel.ISupportInitialize)(this.gridControl1)).BeginInit();
			this.panel1.SuspendLayout();
			((System.ComponentModel.ISupportInitialize)(this.gridControl2)).BeginInit();
			this.SuspendLayout();
			// 
			// gridControl1
			// 
			this.gridControl1.BorderStyle = System.Windows.Forms.BorderStyle.Fixed3D;
			this.gridControl1.ColCount = 15;
			this.gridControl1.HorizontalThumbTrack = true;
			this.gridControl1.Location = new System.Drawing.Point(26, 22);
			this.gridControl1.Name = "gridControl1";
			this.gridControl1.RowCount = 100;
			this.gridControl1.Size = new System.Drawing.Size(358, 450);
			this.gridControl1.SmartSizeBox = false;
			this.gridControl1.TabIndex = 0;
			this.gridControl1.Text = "gridControl1";
			this.gridControl1.ThemesEnabled = true;
			this.gridControl1.VerticalThumbTrack = true;
			// 
			// panel1
			// 
			this.panel1.BorderStyle = System.Windows.Forms.BorderStyle.FixedSingle;
			this.panel1.Controls.Add(this.gridControl2);
			this.panel1.Dock = System.Windows.Forms.DockStyle.Fill;
			this.panel1.Location = new System.Drawing.Point(0, 0);
			this.panel1.Name = "panel1";
			this.panel1.Size = new System.Drawing.Size(736, 518);
			this.panel1.TabIndex = 1;
			// 
			// gridControl2
			// 
			this.gridControl2.BackColor = System.Drawing.Color.LightSteelBlue;
			gridBaseStyle1.Name = "Header";
			gridBaseStyle1.StyleInfo.Borders.Bottom = new Syncfusion.Windows.Forms.Grid.GridBorder(Syncfusion.Windows.Forms.Grid.GridBorderStyle.None);
			gridBaseStyle1.StyleInfo.Borders.Left = new Syncfusion.Windows.Forms.Grid.GridBorder(Syncfusion.Windows.Forms.Grid.GridBorderStyle.None);
			gridBaseStyle1.StyleInfo.Borders.Right = new Syncfusion.Windows.Forms.Grid.GridBorder(Syncfusion.Windows.Forms.Grid.GridBorderStyle.None);
			gridBaseStyle1.StyleInfo.Borders.Top = new Syncfusion.Windows.Forms.Grid.GridBorder(Syncfusion.Windows.Forms.Grid.GridBorderStyle.None);
			gridBaseStyle1.StyleInfo.CellType = "Header";
			gridBaseStyle1.StyleInfo.Font.Bold = true;
			gridBaseStyle1.StyleInfo.Interior = new Syncfusion.Drawing.BrushInfo(Syncfusion.Drawing.GradientStyle.Vertical, System.Drawing.Color.FromArgb(((System.Byte)(203)), ((System.Byte)(199)), ((System.Byte)(184))), System.Drawing.Color.FromArgb(((System.Byte)(238)), ((System.Byte)(234)), ((System.Byte)(216))));
			gridBaseStyle1.StyleInfo.VerticalAlignment = Syncfusion.Windows.Forms.Grid.GridVerticalAlignment.Middle;
			gridBaseStyle2.Name = "Column Header";
			gridBaseStyle2.StyleInfo.BaseStyle = "Header";
			gridBaseStyle2.StyleInfo.HorizontalAlignment = Syncfusion.Windows.Forms.Grid.GridHorizontalAlignment.Center;
			gridBaseStyle3.Name = "Row Header";
			gridBaseStyle3.StyleInfo.BaseStyle = "Header";
			gridBaseStyle3.StyleInfo.HorizontalAlignment = Syncfusion.Windows.Forms.Grid.GridHorizontalAlignment.Left;
			gridBaseStyle3.StyleInfo.Interior = new Syncfusion.Drawing.BrushInfo(Syncfusion.Drawing.GradientStyle.Horizontal, System.Drawing.Color.FromArgb(((System.Byte)(203)), ((System.Byte)(199)), ((System.Byte)(184))), System.Drawing.Color.FromArgb(((System.Byte)(238)), ((System.Byte)(234)), ((System.Byte)(216))));
			gridBaseStyle4.Name = "Standard";
			gridBaseStyle4.StyleInfo.Font.Facename = "Tahoma";
			gridBaseStyle4.StyleInfo.Interior = new Syncfusion.Drawing.BrushInfo(System.Drawing.SystemColors.Window);
			this.gridControl2.BaseStylesMap.AddRange(new Syncfusion.Windows.Forms.Grid.GridBaseStyle[] {
																										   gridBaseStyle1,
																										   gridBaseStyle2,
																										   gridBaseStyle3,
																										   gridBaseStyle4});
			this.gridControl2.ColWidthEntries.AddRange(new Syncfusion.Windows.Forms.Grid.GridColWidth[] {
																											new Syncfusion.Windows.Forms.Grid.GridColWidth(0, 35)});
			this.gridControl2.ForeColor = System.Drawing.SystemColors.ControlText;
			this.gridControl2.Location = new System.Drawing.Point(416, 24);
			this.gridControl2.Name = "gridControl2";
			gridRangeStyle1.Range = Syncfusion.Windows.Forms.Grid.GridRangeInfo.Row(2);
			gridRangeStyle1.StyleInfo.CellType = "MonthCalendar";
			gridRangeStyle2.Range = Syncfusion.Windows.Forms.Grid.GridRangeInfo.Row(5);
			gridRangeStyle2.StyleInfo.CellType = "PushButton";
			gridRangeStyle3.Range = Syncfusion.Windows.Forms.Grid.GridRangeInfo.Row(8);
			gridRangeStyle3.StyleInfo.CellType = "ColorEdit";
			this.gridControl2.RangeStyles.AddRange(new Syncfusion.Windows.Forms.Grid.GridRangeStyle[] {
																										  gridRangeStyle1,
																										  gridRangeStyle2,
																										  gridRangeStyle3});
			this.gridControl2.RightToLeft = System.Windows.Forms.RightToLeft.No;
			this.gridControl2.RowHeightEntries.AddRange(new Syncfusion.Windows.Forms.Grid.GridRowHeight[] {
																											  new Syncfusion.Windows.Forms.Grid.GridRowHeight(0, 21)});
			this.gridControl2.SerializeCellsBehavior = Syncfusion.Windows.Forms.Grid.GridSerializeCellsBehavior.SerializeAsRangeStylesIntoCode;
			this.gridControl2.Size = new System.Drawing.Size(272, 448);
			this.gridControl2.SmartSizeBox = false;
			this.gridControl2.TabIndex = 0;
			// 
			// Form1
			// 
			this.AutoScaleBaseSize = new System.Drawing.Size(5, 13);
			this.ClientSize = new System.Drawing.Size(736, 518);
			this.Controls.Add(this.gridControl1);
			this.Controls.Add(this.panel1);
			this.Name = "Form1";
			this.Text = "DropdownGrid...";
			((System.ComponentModel.ISupportInitialize)(this.gridControl1)).EndInit();
			this.panel1.ResumeLayout(false);
			((System.ComponentModel.ISupportInitialize)(this.gridControl2)).EndInit();
			this.ResumeLayout(false);

		}
		#endregion

		/// <summary>
		/// The main entry point for the application.
		/// </summary>
		[STAThread]
		public static void Main() 
		{
			# region [ Enabling VisualStyles... ]
# if SyncfusionFramework1_1 || SyncfusionFramework2_0  
			Application.EnableVisualStyles();
# endif
			# endregion
			Application.Run(new Form1());
		}

		
	}
}
